| Home | Libraries | People | FAQ | More

## Struct template dereferenceable

boost::type_erasure::dereferenceable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename R, typename T = _self>
    struct dereferenceable {

      // public static functions
      static R apply(const T &);
    };

## Description

### `dereferenceable` public static functions

1.     static R apply(const T & arg);